cURL
curl --request GET \
--url https://platform.thena.ai/v1/forms \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.thena.ai/v1/forms"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.thena.ai/v1/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"fields": [
{
"field": "<string>",
"editableByCustomer": true,
"defaultValue": {},
"mandatoryOnCreation": true,
"mandatoryOnClose": true,
"visibleToCustomer": true
}
],
"conditions": [
{
"triggerFieldId": "<string>",
"triggerFieldValue": {},
"conditionType": "<string>",
"targetFields": [
{
"id": "<string>",
"type": "<string>",
"value": {},
"options": [
{}
]
}
],
"forVendor": true,
"forUser": true,
"teamId": "<string>"
}
],
"version": 123,
"isActive": true,
"default": true,
"channels": [
"<string>"
],
"order": 123
}
],
"status": true,
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "User is not a member of this team!",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "User is not authenticated!",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Customer admins and users cannot access this endpoint",
"error": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Team not found!"
}{
"statusCode": 500,
"message": "Something went wrong!",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "This service/resource is currently unavailable.",
"error": "Service Unavailable"
}Forms
Get all forms
GET
/
v1
/
forms
cURL
Authorizations
Enter your API key
Query Parameters
Maximum number of forms to return per page. Defaults to 10 if not specified.
Example:
10
Page number for pagination (0-based). Use 0 for first page, 1 for second page, etc. Defaults to 0 if not specified.
Example:
0
Filter forms by a specific team ID. If provided, returns forms associated with the specified team along with global forms (unless onlyTeamForms is true).
Example:
"TM123456789012"
When true and teamId is provided, returns only forms specific to that team (excludes global/organization-wide forms). When false or not specified, returns both team-specific and global forms.
Example:
false
When true, returns only escalation forms. When false or not specified, returns ticket creation forms. Escalation forms are used for ticket escalation workflows.
Example:
false
⌘I